#{extends 'borderNG.html' /}
#{set 'titleHead'} &{'penunjukan.title'} #{/set}

<div class="container">
    #{paketTabMenu menus:presenter/}
    <div class="content tab-content">
        <div class="tab-pane active">
            <ol class="breadcrumb" style="background-color: #d9534f !important;">
                <li><a href="@{BerandaCtr.index()}">&{'penunjukan.home'}</a></li>
                <li class="active">&{'penunjukan.title'}</li>
            </ol>
            <form id="formFilter">
                <table class="table table-sm table-bordered">
                    <tr>
                        <th class="bgwarning" width="200">Kepanitiaan</th>
                        <td>#{selectPanitia 'panitiaId', value:panitiaId, autoSubmit:true/}</td>
                    </tr>
                </table>
            </form>
        #{alert /}
            *{<a class="btn btn-success" href="@{nonlelang.PaketPlCtr.rencana_nonlelang()}">&{'penunjukan.buat_paket'}</a>}*
            <br/><br/>
            <table class="table table-sm" id="tblLelang">
                <thead>
                <tr>
                    <th width="20" nowrap>&{'penunjukan.kode'}</th>
                    <th>&{'penunjukan.nama_paket'}</th>
                    <th width="15%">&{'penunjukan.status'}</th>
                    <th width="15%">&{'penunjukan.tgl_buat'}</th>
                    <th width="25%">&{'penunjukan.satuan_kerja'}</th>
                    <th width="40"> </th>
                </tr>
                </thead>
            </table>

            <div class="bs-callout bs-callout-warning">
                &{'penunjukan.pembuatan_paket_dimulai'}
            </div>
        </div>
    </div>
</div>
#{set 'css_custom' }
<link href="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/css/dataTables.bootstrap4.min.css" rel="stylesheet" type="text/css">
#{/set}

#{set 'custom_script'}
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/js/jquery.dataTables.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/js/dataTables.bootstrap4.min.js"></script>
<script type="text/javascript" src="#{assets '/js/datatables.config.js'/}"></script>
<script type="text/javascript">
    var editPaket  = #{jsRoute @nonlelang.PaketPlCtr.edit(':id') /};
    var viewPL = #{jsRoute @nonlelang.PengadaanLCtr.view(':id') /};
    var editPL = #{jsRoute @nonlelang.PengadaanLCtr.edit(':id') /};
    var viewTahap  = #{jsRoute @nonlelang.JadwalPlCtr.tahap(':id') /};
    var hapusPl = #{jsRoute @nonlelang.PengadaanLCtr.hapus(':id') /};
    $(document).ready(function() {
        var table = $("#tblLelang").DataTable({
            language: {
                    "sLengthMenu":   "&{'menu.slengthmenu'} _MENU_ data",
                    processing:   "&{'menu.processing'}",
                    "sSearch":       "&{'menu.ssearch'}",
                    "sInfo":         "&{'menu.sinfo1'} _START_ &{'menu.sinfo2'} _END_ &{'menu.sinfo3'} _TOTAL_ data",
                    "sInfoEmpty":    "&{'menu.sinfo1'} 0 &{'menu.sinfo2'} 0 &{'menu.sinfo3'} 0 data"
            },
            order: [[ 0, "desc"]],
            ajax: "${url.raw()}",
            columns: [{visible:false, render: function(data, type, row) {
                var isPpk = ${active_user.ppk};
                var isPanitia = ${active_user.panitia};
                var isPP = ${active_user.PP};
                var isKuppbj = ${active_user.kuppbj};

                var urlNamaPaket = isPpk || isKuppbj ? editPaket : viewPL;

                var paketId = row[0];
                var id = row[5];
                var idNamaPaket = isPpk || isKuppbj ? paketId : id;

                var paket = row[1];
                var status = row[2];
                var lelangTipe = row[7];
                var version = getLabelSpseVersion(row[6]);
                var flag = version.flag;
                var highlight = version.highlight;
                var action = '';
                var ulang = '';

                if(row[6] != '1' && isPP || isPanitia) {
                    action = '<a href="'+editPL.url({id:id})+'"><span class="badge  badge-primary"><i class="fa fa-edit"></i> Buat Non Tender</span></a>'
                }
                if (status != 'Draft' && status == 'Paket Sudah Selesai') {
                    action += '&nbsp;<a href="'+viewPL.url({id:id})+'"><span class="badge  badge-warning">Lihat Non Tender</span></a>'
                }
                if (row[10] == 'true') {
                    action += '&nbsp;<a href="'+hapusPl.url({id:paketId})+'" onclick="return confirm(\'Apakah ada yakin menghapus paket ini?\');"><span class="badge  badge-danger"><i class="fa fa-trash-o"></i>Hapus Non Tender</span></a>'
                }
                if(Number(row[8]) > 1)
                ulang = '&nbsp<span class="badge  badge-warning">' + row[17] + '</span>'

                row[2] = '<a target="_blank"  href="'+viewTahap.url({id:id})+'">'+row[2]+'</a>'
                row[5] = action
                return row[1] = '<a href="'+urlNamaPaket.url({id:idNamaPaket})+'">'+ paket +'</a>&nbsp;<span class="badge  badge-info">'+lelangTipe+'</span>'+'&nbsp;<span class="'+highlight+'">'+flag+'</span>'+ulang;
            }},null,null, null,{searchable: true},{orderable:false}
            ],
        });
        $('#tblLelang_filter input').unbind();
        $('#tblLelang_filter input').bind('keyup', function(e) {
            if(e.keyCode == 13) {
              table.search(this.value).draw();
             }
        });
    } );

</script>
#{/set}